GDB (xrefs)

Classes | Functions
/tmp/gdb-8.1/gdb/ui-out.c File Reference
`#include "defs.h"`
`#include "expression.h"`
`#include "language.h"`
`#include "ui-out.h"`
`#include <vector>`
`#include <memory>`
`#include <string>`

Go to the source code of this file.

## Classes
class | ui_out_level
class | ui_out_table
struct | ui_out_end_cleanup_data

## Functions
static void | do_cleanup_end (void *data)
static struct cleanup * | make_cleanup_ui_out_end (struct ui_out *uiout, enum ui_out_type type)
struct cleanup * | make_cleanup_ui_out_tuple_begin_end (struct ui_out *uiout, const char *id)
struct cleanup * | make_cleanup_ui_out_list_begin_end (struct ui_out *uiout, const char *id)

## Function Documentation

## ◆ do_cleanup_end()

static void do_cleanup_end | ( | void * | data | ) |
| static

Definition at line 448 of file ui-out.c.

References ui_out::end(), ui_out_end_cleanup_data::type, ui_out_end_cleanup_data::uiout, and xfree().

Referenced by make_cleanup_ui_out_end().

## ◆ make_cleanup_ui_out_end()

static struct cleanup* make_cleanup_ui_out_end | ( | struct ui_out * | uiout,
|  | enum ui_out_type | type
| ) |  |
| static

Definition at line 458 of file ui-out.c.

References do_cleanup_end(), make_cleanup(), type, ui_out_end_cleanup_data::type, ui_out_end_cleanup_data::uiout, and XNEW.

Referenced by make_cleanup_ui_out_list_begin_end(), and make_cleanup_ui_out_tuple_begin_end().

## ◆ make_cleanup_ui_out_list_begin_end()

struct cleanup* make_cleanup_ui_out_list_begin_end | ( | struct ui_out * | uiout,
|  | const char * | id
| ) |  |

Definition at line 478 of file ui-out.c.

References ui_out::begin(), make_cleanup_ui_out_end(), and ui_out_type_list.

Referenced by btrace_insn_history(), and btrace_print_lines().

## ◆ make_cleanup_ui_out_tuple_begin_end()

struct cleanup* make_cleanup_ui_out_tuple_begin_end | ( | struct ui_out * | uiout,
|  | const char * | id
| ) |  |

Definition at line 470 of file ui-out.c.

References ui_out::begin(), make_cleanup_ui_out_end(), and ui_out_type_tuple.

Referenced by btrace_insn_history(), and btrace_print_lines().